#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 2020/4/22 0022 下午 5:43
# @Author  : hj
# @File    : tf_member_dao.py
# @Software: PyCharm

from db.mod_db import DataBase


class tf_member_Dao:
    def __init__(self, db=None):
        if db is None:
            self.dataBase = DataBase()
        else:
            self.dataBase = db


    def select_sql_1(self,input_name):
        return self.dataBase.fetch_all("SELECT company_name,member_name,member_position FROM tj_member where company_name='%s'" % input_name)

    def select_sql_2(self,input_name):
        return self.dataBase.fetch_all("SELECT company_name,shareholder_name,subscription_funds,turn_funds,subscript_type,subscrip_time FROM tj_shareholder where company_name='%s'" % input_name)